Up

# NSNetServices documentation

### Authors

Generated by Debian

### Contents -

1. NSNetService class description
2. NSNetServiceBrowser class description
3. Software documentation for the NSObject(NSNetServiceBrowserDelegateMethods) informal protocol
4. Software documentation for the NSObject(NSNetServiceDelegateMethods) informal protocol
5. NSNetServiceBrowserDelegate protocol description
6. Software documentation for the NSNetServiceDelegate protocol

# NSNetService class description

## NSNetService : NSObject

> Declared in:
>   Foundation/NSNetServices.h

Availability: OpenStep

NSNetService lets you publish a network service in a domain using multicast DNS. Additionally, it lets you resolve a network service that was discovered by NSNetServiceBrowser . This class is an abstract superclass for concrete implementations of its functionality.

Instance Variables
Method summary

- +dataFromTXTRecordDictionary:
- +dictionaryFromTXTRecordData:
- -TXTRecordData
- -addresses
- -delegate
- -domain
- -getInputStream:outputStream:
- -hostName
- -initWithDomain:type:name:
- -initWithDomain:type:name:port:
- -name
- -port
- -protocolSpecificInformation
- -publish
- -publishWithOptions:
- -removeFromRunLoop:forMode:
- -resolve
- -resolveWithTimeout:
- -scheduleInRunLoop:forMode:
- -setDelegate:
- -setProtocolSpecificInformation:
- -setTXTRecordData:
- -startMonitoring
- -stop
- -stopMonitoring
- -type

### dataFromTXTRecordDictionary:

+ (NSData*) dataFromTXTRecordDictionary: (NSDictionary*)txtDictionary;
Availability: OpenStep
Description forthcoming.

### dictionaryFromTXTRecordData:

+ (NSDictionary*) dictionaryFromTXTRecordData: (NSData*)txtData;
Availability: OpenStep
Description forthcoming.

### TXTRecordData

- (NSData*) TXTRecordData;
Availability: OpenStep
Description forthcoming.

### addresses

- (NSArray*) addresses;
Availability: OpenStep
Description forthcoming.

### delegate

- (id<NSNetServiceDelegate>) delegate;
Availability: OpenStep
Description forthcoming.

### domain

- (NSString*) domain;
Availability: OpenStep
Description forthcoming.

### getInputStream: outputStream:

- (BOOL) getInputStream: (NSInputStream**)inputStream outputStream: (NSOutputStream**)outputStream;
Availability: OpenStep
Description forthcoming.

### hostName

- (NSString*) hostName;
Availability: OpenStep
Description forthcoming.

### initWithDomain: type: name:

- (id) initWithDomain: (NSString*)domain type: (NSString*)type name: (NSString*)name;
Availability: OpenStep
Description forthcoming.

### initWithDomain: type: name: port:

- (id) initWithDomain: (NSString*)domain type: (NSString*)type name: (NSString*)name port: (NSInteger)port;
Availability: OpenStep
Description forthcoming.

### name

- (NSString*) name;
Availability: OpenStep
Description forthcoming.

### port

- (NSInteger) port;
Availability: MacOS-X 10.5.0
Not implemented

### protocolSpecificInformation

- (NSString*) protocolSpecificInformation;
Availability: OpenStep
Description forthcoming.

### publish

- (void) publish;
Availability: OpenStep
Description forthcoming.

### publishWithOptions:

- (void) publishWithOptions: (NSNetServiceOptions)options;
Availability: MacOS-X 10.5.0
Not implemented

### removeFromRunLoop: forMode:

- (void) removeFromRunLoop: (NSRunLoop*)aRunLoop forMode: (NSString*)mode;
Availability: OpenStep
Description forthcoming.

### resolve

- (void) resolve;
Availability: OpenStep
Description forthcoming.

### resolveWithTimeout:

- (void) resolveWithTimeout: (NSTimeInterval)timeout;
Availability: OpenStep
Description forthcoming.

### scheduleInRunLoop: forMode:

- (void) scheduleInRunLoop: (NSRunLoop*)aRunLoop forMode: (NSString*)mode;
Availability: OpenStep
Description forthcoming.

### setDelegate:

- (void) setDelegate: (id<NSNetServiceDelegate>)delegate;
Availability: OpenStep
Description forthcoming.

### setProtocolSpecificInformation:

- (void) setProtocolSpecificInformation: (NSString*)specificInformation;
Availability: OpenStep
Description forthcoming.

### setTXTRecordData:

- (BOOL) setTXTRecordData: (NSData*)recordData;
Availability: OpenStep
Description forthcoming.

### startMonitoring

- (void) startMonitoring;
Availability: OpenStep
Description forthcoming.

### stop

- (void) stop;
Availability: OpenStep
Description forthcoming.

### stopMonitoring

- (void) stopMonitoring;
Availability: OpenStep
Description forthcoming.

### type

- (NSString*) type;
Availability: OpenStep
Description forthcoming.

## Instance Variables for NSNetService Class

### _delegate

@protected id _delegate;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _netService

@protected void* _netService;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _reserved

@protected void* _reserved;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

# NSNetServiceBrowser class description

## NSNetServiceBrowser : NSObject

> Declared in:
>   Foundation/NSNetServices.h

Availability: OpenStep

NSNetServiceBrowser asynchronously lets you discover network domains and, additionally, search for a type of network service. It sends its delegate a message whenever it discovers a new network service, and whenever a network service goes away.

Each NSNetServiceBrowser performs one search at a time. So in order to perform multiple searches simultaneously, create multiple instances. This class is an abstract superclass for concrete implementations of its functionality.

Instance Variables
Method summary

- -delegate
- -init
- -removeFromRunLoop:forMode:
- -scheduleInRunLoop:forMode:
- -searchForAllDomains
- -searchForBrowsableDomains
- -searchForRegistrationDomains
- -searchForServicesOfType:inDomain:
- -setDelegate:
- -stop

### delegate

- (id<NSNetServiceBrowserDelegate>) delegate;
Availability: OpenStep
Description forthcoming.

### init

- (id) init;
Availability: OpenStep
Description forthcoming.

### removeFromRunLoop: forMode:

- (void) removeFromRunLoop: (NSRunLoop*)aRunLoop forMode: (NSString*)mode;
Availability: OpenStep
Description forthcoming.

### scheduleInRunLoop: forMode:

- (void) scheduleInRunLoop: (NSRunLoop*)aRunLoop forMode: (NSString*)mode;
Availability: OpenStep
Description forthcoming.

### searchForAllDomains

- (void) searchForAllDomains;
Availability: OpenStep
Description forthcoming.

### searchForBrowsableDomains

- (void) searchForBrowsableDomains;
Availability: OpenStep
Description forthcoming.

### searchForRegistrationDomains

- (void) searchForRegistrationDomains;
Availability: OpenStep
Description forthcoming.

### searchForServicesOfType: inDomain:

- (void) searchForServicesOfType: (NSString*)serviceType inDomain: (NSString*)domainName;
Availability: OpenStep
Description forthcoming.

### setDelegate:

- (void) setDelegate: (id<NSNetServiceBrowserDelegate>)delegate;
Availability: OpenStep
Description forthcoming.

### stop

- (void) stop;
Availability: OpenStep
Description forthcoming.

## Instance Variables for NSNetServiceBrowser Class

### _delegate

@protected id _delegate;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _netServiceBrowser

@protected void* _netServiceBrowser;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _reserved

@protected void* _reserved;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

# Software documentation for the NSObject(NSNetServiceBrowserDelegateMethods) informal protocol

## NSObject(NSNetServiceBrowserDelegateMethods)

> Declared in:
>   Foundation/NSNetServices.h

Availability: OpenStep
Description forthcoming.
Method summary

- -netServiceBrowser:didFindDomain:moreComing:
- -netServiceBrowser:didFindService:moreComing:
- -netServiceBrowser:didNotSearch:
- -netServiceBrowser:didRemoveDomain:moreComing:
- -netServiceBrowser:didRemoveService:moreComing:
- -netServiceBrowserDidStopSearch:
- -netServiceBrowserWillSearch:

### netServiceBrowser: didFindDomain: moreComing:

- (void) netServiceBrowser: (NSNetServiceBrowser*)aNetServiceBrowser didFindDomain: (NSString*)domainString moreComing: (BOOL)moreComing;
Availability: OpenStep
Notifies the delegate that a domain was found.

See also:
[NSNetServiceBrowser -searchForBrowsableDomains]
[NSNetServiceBrowser -searchForRegistrationDomains]

### netServiceBrowser: didFindService: moreComing:

- (void) netServiceBrowser: (NSNetServiceBrowser*)aNetServiceBrowser didFindService: (NSNetService*)aNetService moreComing: (BOOL)moreComing;
Availability: OpenStep
Notifies the delegate that a service was found.

See also:
[NSNetServiceBrowser -searchForServicesOfType:inDomain:]

### netServiceBrowser: didNotSearch:

- (void) netServiceBrowser: (NSNetServiceBrowser*)aNetServiceBrowser didNotSearch: (NSDictionary*)errorDict;
Availability: OpenStep
Notifies the delegate that the search was unsuccessful.

See also:
[NSNetServiceBrowser -netServiceBrowserWillSearch:]

### netServiceBrowser: didRemoveDomain: moreComing:

- (void) netServiceBrowser: (NSNetServiceBrowser*)aNetServiceBrowser didRemoveDomain: (NSString*)domainString moreComing: (BOOL)moreComing;
Availability: OpenStep
Notifies the delegate that a domain has become unavailable.

See also:

### netServiceBrowser: didRemoveService: moreComing:

- (void) netServiceBrowser: (NSNetServiceBrowser*)aNetServiceBrowser didRemoveService: (NSNetService*)aNetService moreComing: (BOOL)moreComing;
Availability: OpenStep
Notifies the delegate that a service has become unavailable.

See also:

### netServiceBrowserDidStopSearch:

- (void) netServiceBrowserDidStopSearch: (NSNetServiceBrowser*)aNetServiceBrowser;
Availability: OpenStep
Notifies the delegate that the search was stopped.

See also:
[NSNetServiceBrowser -stop]

### netServiceBrowserWillSearch:

- (void) netServiceBrowserWillSearch: (NSNetServiceBrowser*)aNetServiceBrowser;
Availability: OpenStep
Notifies the delegate that the search is about to begin.

See also:
[NSNetServiceBrowser -netServiceBrowser:didNotSearch:]

# Software documentation for the NSObject(NSNetServiceDelegateMethods) informal protocol

## NSObject(NSNetServiceDelegateMethods)

> Declared in:
>   Foundation/NSNetServices.h

Availability: OpenStep
Description forthcoming.
Method summary

- -netService:didAcceptConnectionWithInputStream:outputStream:
- -netService:didNotPublish:
- -netService:didNotResolve:
- -netService:didUpdateTXTRecordData:
- -netServiceDidPublish:
- -netServiceDidResolveAddress:
- -netServiceDidStop:
- -netServiceWillPublish:
- -netServiceWillResolve:

### netService: didAcceptConnectionWithInputStream: outputStream:

- (void) netService: (NSNetService*)sender didAcceptConnectionWithInputStream: (NSInputStream*)inputStream outputStream: (NSOutputStream*)outputStream;
Availability: Not in OpenStep/MacOS-X
Notifies the delegate that the service, which must have been published with option NSNetServiceListenForConnections, received a new connection. In order to communicate with the connecting client, you must -open the streams and schedule them with a runloop. To reject a connection, just -open and immediately -close both streams.

### netService: didNotPublish:

- (void) netService: (NSNetService*)sender didNotPublish: (NSDictionary*)errorDict;
Availability: OpenStep
Notifies the delegate that the service could not get published.

See also:
[NSNetService -publish]

### netService: didNotResolve:

- (void) netService: (NSNetService*)sender didNotResolve: (NSDictionary*)errorDict;
Availability: OpenStep
Notifies the delegate that the service could not get resolved.

See also:
[NSNetService -resolveWithTimeout:]

### netService: didUpdateTXTRecordData:

- (void) netService: (NSNetService*)sender didUpdateTXTRecordData: (NSData*)data;
Availability: OpenStep
Notifies the delegate that the TXT record has been updated.

See also:
[NSNetService -startMonitoring]
[NSNetService -stopMonitoring]

### netServiceDidPublish:

- (void) netServiceDidPublish: (NSNetService*)sender;
Availability: OpenStep
Notifies the delegate that the service was successfully published.

See also:
[NSNetService -publish]

### netServiceDidResolveAddress:

- (void) netServiceDidResolveAddress: (NSNetService*)sender;
Availability: OpenStep
Notifies the delegate that the service was resolved.

See also:
[NSNetService -resolveWithTimeout:]

### netServiceDidStop:

- (void) netServiceDidStop: (NSNetService*)sender;
Availability: OpenStep
Notifies the delegate that the request was stopped.

See also:
[NSNetService -stop]

### netServiceWillPublish:

- (void) netServiceWillPublish: (NSNetService*)sender;
Availability: OpenStep
Notifies the delegate that the network is ready to publish the service.

See also:
[NSNetService -publish]

### netServiceWillResolve:

- (void) netServiceWillResolve: (NSNetService*)sender;
Availability: OpenStep
Notifies the delegate that the network is ready to resolve the service.

See also:
[NSNetService -resolveWithTimeout:]

# NSNetServiceBrowserDelegate protocol description

## NSNetServiceBrowserDelegate

> Declared in:
>   Foundation/NSNetServices.h

Availability: OpenStep

This protocol must be adopted by any class wishing to implement an NSNetServiceBrowser delegate.

# Software documentation for the NSNetServiceDelegate protocol

## NSNetServiceDelegate

> Declared in:
>   Foundation/NSNetServices.h

Availability: OpenStep
Description forthcoming.
Up